Subject: FVWM: IconMan and Buttons issues

From: Rick Jones <[email-masked]>
Date: Thu, 21 Nov 2002 12:15:49 -0500 (EST)

First, FvwmIconMan has never seemed to work for me.. 
I'm using a RH7.3 distribution (FVWM2 2.4.7?) and I'm
not sure where the Modules are located.

I'm trying to set up an 800x100 FvwmButtons bar that
has 3 rows and 25? columns (approx buttons are 32x32
(so a 2x2 would be a std. wm dockapp size)).  The
bottom row will eventually be for a "ticker tape" app.
 I figure I don't really need containers to do this
after reading the button positioning on the man page.

The following doesn't even produce a buttonbar - but I
think it's close to what I want.  Any help is
appreciated.

#Test Buttonbar
*FvwmButtonsGeometry 800x100-1-1
*FvwmButtonsButtonGeometry 32x32
#*FvwmButtonsBoxSize dumb
*FvwmButtonsBack bisque3
*FvwmButtonsRows3
*FvwmButtonsColumns 24
#*FvwmButtons(Frame 2 Padding 0 0 Container(Rows 3
Columns 10 Frame 1 \
                                           Padding 10
0))
#*FvwmButtons(3x2 Frame 2 Swallow "FvwmIconBox"
"Module FvwmIconBox")
*FvwmButtons(6x2 Swallow "FvwmIconMan" "Module
FvwmIconMan")
*FvwmButtons(3x2 Swallow(UseOld) "FvwmPager" "Module
FvwmPager 0 0")
*FvwmButtons(2x2 Frame 2 Swallow(UseOld) "wmmp3" `Exec
exec wmmp3`)
#*FvwmButtons(1x2 Frame 0 Container(Rows 2 Columns 2
Frame 0))
#*FvwmButtons(Frame 2 Swallow(UseOld,NoHints,Respawn)
"xbiff" `Exec exec xbiff -bg bisque3`)
*FvwmButtons(2x2 Swallow(UseOld,NoHints,Respawn)
"xclock" `Exec exec xclock -bg bisque3 -fg black -hd
black -hl black -padding 0`)
*FvwmButtons(2x2 Swallow(UseOld,NoHints,Respawn)
"xload" `Exec exec xload -bg bisque3 -fg black
-nolabel`)
*FvwmButtons(End)
*FvwmButtons(End)

Thanks, Rick

______________________________________________________________________ 
Post your free ad now! http://personals.yahoo.ca
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].